## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticlesPhysics Struct Reference
[Mesh plugins, Mesh plugins]

Particles physics interface. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticlesPhysics:

[legend]
List of all members.

## Public Member Functions

virtual const csArray< csParticlesData > * | RegisterParticles (iParticlesObjectState *particles)=0
| Register a particles object with the physics plugin.
virtual void | RemoveParticles (iParticlesObjectState *particles)=0
| Remove a particles object from the physics plugin.
virtual void | Start (iParticlesObjectState *particles)=0
| (Re)Start a particle simulation
virtual void | Stop (iParticlesObjectState *particles)=0
| Stop a particle simulation.

## Detailed Description

Particles physics interface.

Definition at line 386 of file particles.h.

## Member Function Documentation

virtual const csArray<csParticlesData>* iParticlesPhysics::RegisterParticles | ( | iParticlesObjectState * | particles | ) | `[pure virtual]`

| Register a particles object with the physics plugin.

virtual void iParticlesPhysics::RemoveParticles | ( | iParticlesObjectState * | particles | ) | `[pure virtual]`

| Remove a particles object from the physics plugin.

virtual void iParticlesPhysics::Start | ( | iParticlesObjectState * | particles | ) | `[pure virtual]`

| (Re)Start a particle simulation

virtual void iParticlesPhysics::Stop | ( | iParticlesObjectState * | particles | ) | `[pure virtual]`

| Stop a particle simulation.

The documentation for this struct was generated from the following file:

- imesh/particles.h